---
title: wikijs - dieses Wiki
description: 
published: 1
date: 2023-10-02T01:48:22.726Z
tags: 
editor: markdown
dateCreated: 2023-06-07T21:40:30.507Z
---

[wikijs](https://js.wiki/) ist die Software, mit welcher dieses Wiki betrieben wird.

## Anmeldung

Wenn du etwas zum Wiki beitragen möchtest, kannst du dich einfach über unser [forgejo](/IT-Infra-Services/Forgejo) hier einloggen. Zum Lesen der Inhalte wird kein Account benötigt.

## Vorhandene Seite bearbeiten

### In wikijs

wikijs bietet verschieden Möglichkeiten Seiten zu bearbeiten. Neben einem Markdown Editor gibt es auch einen WYSIWYG Editor (und noch ein paar weitere). Wenn du dich eingeloggt hast, sollte oben rechts auf der Seite ein Button sein "Page Actions". Ein Klick dort drauf öffnet ein dropdown-Menü. Die erste Option in diesem Menü sollte "Edit Page" sein. Es öffnet sich der Editor, welcher zuletzt zum Bearbeiten der Seite benutzt wurde. Es gibt aber die Möglichkeit die Seite auch mit einem anderem Editor zu öffnen.
Wenn du fertig bist, nicht vergessen deine Änderungen zu speichern! Drücke dazu auf "Save" oben rechts.

### Per Git

Der Content des Wikis wird auch in ein [Git Repository](https://code.flipdot.org/flipdot/Wiki) gesynced. Dieser Sync ist Bidirektional. Du kannst also auch das Repo auschecken und mit dem Editor deiner Wahl die Markdown Dateien bearbeiten.

## Neue Seite erstellen

Wenn du eingeloggt bist sollte oben rechts ein Button sein "Create Page". Wenn du diesen anklickst musst du als erstes den Pfad fuer die neue Seite angeben. Diese Seite hier ist zum Beispiel im Ordner "IT Services und Infra" und hat daher den Pfad `IT-Infra-Services/wikijs`.
Nachdem du den Pfad bestimmt hast, wirst du gefragt welchen Editor du nutzen möchtest. Am einfachsten ist der Markdown Editor, da man dort zum einen simples Markdown direkt schreiben kann, es aber auch Buttons gibt, welche einen dabei unterstützt und eine Hilfe die grundlegende Markdown Syntax beschreibt.
Wenn du fertig bist, nicht vergessen auf "Save" oben rechts zu klicken!

## Bilder einfügen

Für die Verwaltung von Bildern und anderen Assets hat wikijs ein recht schönes System. Anstatt die Bilder direkt an den Artikel zu binden, gibt es ein eigenes System zum Verwalten von Assets. Wenn du zum Beispiel im Markdown Editor, rechts in der Seitenleiste, auf "Insert Assets" klickst, öffnet sich ein Popup in dem du entweder eines der vorhandenen auswählen kannst oder ein neues hochladen. Es ist auch möglich von dort aus direkt weitere Ordner zu erstellen, falls du zum Beispiel thematisch zusammenpassende bilder in einen Unterordner in "bilder" packen möchtest.

### Bilder skalieren

Möchtest du Bilder skalieren geht das im Markdown mit folgender Syntax:
```
![Bild vom 3D Drucker im Space](/bilder/3ddruckerspace.jpg =30%x)
```
Also an den Pfad ein Leerzeichen und dann `=30%x` mit dem geünschten Skalierungsfaktor anfügen.